
.room-item {
    margin: 20px auto;
    padding: 10px 15px;
    width: 480px;
    max-width: 100%;
    border-radius: 12px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
    text-align: left;
}

.room-item-name {
    font-weight: bold;

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.room-item-name a {
    text-decoration: none;
}

.room-item-use-funcs-room-mode,
.room-item-use-funcs-label {
    white-space: nowrap;
    padding: 2px 3px;
    font-size: 12px;
    border-radius: 4px;
}
.room-item-use-funcs-room-mode {
    color: #333;
    background-color: #eee;
    border: solid 1px #666;
}
.room-item-use-funcs-room-mode-10 {
    color: #333;
    background-color: #eee;
    border: solid 1px #666;
}
.room-item-use-funcs-room-mode-20 {
    color: #400;
    background-color: #fee;
    border: solid 1px #c00;
}
.room-item-use-funcs-label {
    color: #420;
    background-color: #fed;
    border: solid 1px #c60;
}

.room-item-type {
    font-size: 14px;
}

.room-item-description {
    width: 100%;
    margin: 5px 0;
    padding: 3px 0 3px 8px;
    border-left: solid 4px #ddd;
    font-size: 14px;
    color: #666;

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.room-item-url {
    font-size: 12px;
    line-height: 18px;
}

.room-item-time {
    color: #888;
    font-size: 12px;
    line-height: 18px;
}
